Gem::Specification.new do |s|
  s.name = 'logstash-input-nakadi'
  s.version = '0.3.0'
  s.licenses = ['MIT', 'Apache License (2.0)']
  s.summary = "Logstash plugin to consume Nakadi events"
  s.authors = ["Zalando"]
  s.email = 'team-picasso@zalando.fi'
  s.require_paths = ["lib"]

  # Files
  s.files = Dir['lib/**/*','spec/**/*','vendor/**/*','*.gemspec','*.md','Gemfile']
   # Tests
  s.test_files = s.files.grep(%r{^(test|spec|features)/})

  # Special flag to let us know this is actually a logstash plugin
  s.metadata = { "logstash_plugin" => "true", "logstash_group" => "input" }

  s.requirements << "jar 'org.zalando.stups:tokens', '0.9.9-gh52-1'"
  s.requirements << "jar 'org.apache.httpcomponents:httpclient', '4.5.2'"
  s.requirements << "jar 'org.slf4j:slf4j-log4j12', '1.7.21'"
  s.requirements << "jar 'org.scala-lang:scala-library', '2.11.8'"
  s.requirements << "jar 'com.google.guava:guava', '19.0'"
  s.requirements << "jar 'com.typesafe.akka:akka-actor_2.11', '2.4.7'"
  s.requirements << "jar 'com.typesafe.akka:akka-http-experimental_2.11', '2.4.7'"
  s.requirements << "jar 'com.typesafe.akka:akka-stream_2.11', '2.4.7'"

  # Gem dependencies
  s.add_runtime_dependency "logstash-core", "~> 5.0", '>= 5.0.0'
  s.add_runtime_dependency 'logstash-codec-plain'
  s.add_runtime_dependency 'stud', '>= 0.0.22'
  s.add_development_dependency 'logstash-devutils', '>= 1.1.0'
end
